资源

申报

申报 的每一个端点,附带它强制要求的作用域、它接受的请求体、一份可读的响应,以及它可能返回的拒绝。

读取法国环境标注的当前状态。

get/organizations/{organization}/passports/{id}/affichage
作用域
passports:read
Idempotency-Key
不接受
返回
200

路径参数

organizationstring必填

本次请求代为操作的组织。密钥必须已获得该组织的授权。

idstring必填

资源的标识符。请把它当作不可解析的字符串处理。

错误

该端点可能返回的全部拒绝,以及它们所带的 HTTP 状态码。

请求
curl "https://passportcraft.com/api/v1/organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage" \
  -H "Authorization: Bearer $PASSPORTCRAFT_API_KEY"
响应 · 200
{
  "object": "affichage",
  "name": "organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage",
  "organization_id": "8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2",
  "passport_id": "2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41",
  "livemode": true,
  "status": "not_filed",
  "filed_at": null,
  "portal_gtin": null,
  "portal_score": null,
  "filing_available": false,
  "blockers": [
    "delegation_required"
  ],
  "delegation_status": "pending"
}

GET /organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage

提交法国环境标注申报。

post/organizations/{organization}/passports/{id}/affichage
作用域
filings:write
Idempotency-Key
接受
返回
200
请求
curl "https://passportcraft.com/api/v1/organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage" \
  -X POST \
  -H "Authorization: Bearer $PASSPORTCRAFT_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)"
响应 · 200
{
  "object": "affichage",
  "name": "organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage",
  "organization_id": "8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2",
  "passport_id": "2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41",
  "livemode": true,
  "changed": true,
  "unchanged_reason": null,
  "status": "filed",
  "filed_at": "2026-08-02T09:04:51.226Z",
  "portal_gtin": "03453120000011",
  "portal_score": 412,
  "standardized_score": 412,
  "durability": 1.05,
  "official_label_url": "https://affichage-environnemental.ecobalyse.beta.gouv.fr/api/image?type=gtin&gtin=03453120000011&v=1785661491226",
  "ecobalyse_version": "v7.0.0",
  "declared_score": 412,
  "free_offer": false
}

POST /organizations/8f14e45f-ceea-467a-9a5f-8dc7d9c6a1b2/passports/2c1f9e07-3b4d-4a18-9f6c-5e0a7b8d3c41/affichage

申报 — PassportCraft API 参考 | PassportCraft